DBus8ByteStruct Struct Reference
D-Bus low-level public API » Basic types

An 8-byte struct you could use to access int64 without having int64 support. More...

`#include <dbus-types.h>`

## Data Fields

dbus_uint32_t | first32
| first 32 bits in the 8 bytes (beware endian issues)
dbus_uint32_t | second32
| second 32 bits in the 8 bytes (beware endian issues)

## Detailed Description

An 8-byte struct you could use to access int64 without having int64 support.

Use dbus_int64_t or dbus_uint64_t instead.

Definition at line 144 of file dbus-types.h.

## Field Documentation

## first32

dbus_uint32_t DBus8ByteStruct::first32

first 32 bits in the 8 bytes (beware endian issues)

Definition at line 146 of file dbus-types.h.

## second32

dbus_uint32_t DBus8ByteStruct::second32

second 32 bits in the 8 bytes (beware endian issues)

Definition at line 147 of file dbus-types.h.

The documentation for this struct was generated from the following file:

- dbus-types.h